// flow.h
// Include file for flow-related routines
// (c) Bill Dally, April 2020
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
uint16_t get_flow(uint8_t chan) ;
void linear_tab(uint8_t chan) ;
uint16_t pwl_lookup(uint16_t val, uint8_t chan) ;
uint16_t flow_to_pwm(uint16_t flow, uint8_t chan) ;
void pwm_sweep(uint16_t points, uint8_t raw, uint8_t bidir, uint8_t chan) ;
void build_f2p_tab(uint8_t chan) ;
void dump_f2p_tab(uint8_t chan) ;
void set_flow(uint16_t flow, uint8_t chan) ;
void cl_flow_test(uint8_t chan) ;
void flow_test(uint8_t chan) ;
void read_f2p_tab(uint8_t chan) ;
void store_f2p_tab(uint8_t chan) ;





