// watchdog.c
// Routines for watchdog timer
//
// (c) Bill Dally, April 2020
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#include <avr/wdt.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "serial.h"

// set up timer for 500ms timeout
void watchdog_init(void) {
  wdt_enable(WDTO_500MS) ;
}

// reset the timer
void watchdog_reset(void) {
  wdt_reset() ;
}

// disable the watchdog
void watchdog_disable(void) {
  wdt_disable() ;
}

// disable interrupts and go into a loop - watchdog should intervene
void watchdog_test(void) {
  cli() ;
  while(1) {
    serial_put('w') ;
    _delay_ms(100) ;
  }
}
